So-net無料ブログ作成

Blender不具合修正版2.49aがアップされましたが・・・ [Blender]

japan.png
Blender2.49のバグフィックス版2.49aがBlender.orgにアップされました。
http://www.blender.org/download/get-blender/
22222.jpg

早速Windows版をダウンロード
ダウンロードしたのはこれ↓
Blender 2.49a Installer (10.5 MB)
Requires Windows 2000/XP/Vista, built with Python 2.5

でインストールして起動!
コンソールが立ちあがって・・・・ん!?
aaa.jpg
おかしくないかい?

ちなみに当方Pythonは2.5*と2.6*の両方を入れていますが。

"built with Python 2.5 "
とあったはずなのに・・・2.6*を見に行ってるぞ!?

フォルダのなかを確認すると、Python2.6.dllとかあるじゃん
これってPython2.6でコンパイルされていそうなんだけど・・・
試しにyafarayのレンダリング用のスクリプトを起動・・・しない。

やっぱり・・・・
某アップローダにあったPython2.6でコンパイルされたmetasequoiaのインポータを起動!
当然動くし(笑)・・・

どうしようPython2.5*じゃないとyafarayGUI使えないぞ・・・困ったな・・・
そうだ!!
http://www.zoo-logique.org/3D.Blender/index.php3?zoo=com
にある“アレ”入れちゃお!(前にもここの記事で触れたけどjms氏のPovRayもレンダリングパネルから設定・レンダリングできる改造版"Blender to PovRay")
今日6月21日現在の最新版はwin32blend2pov090620.zip SVN Révision21028, compilee avec VC++ 20/6/2009 08:27:51ですね。
Blender to PovRay(blend2pov)の導入は至って簡単。上のjms氏のサイトからダウンロードした"win32blend2pov***(***はビルドバージョン番号)"の圧縮ファイルを解凍して先のBlender2.49aのインストール先のフォルダに入れるだけ。あとはデスクトップにwin32blend2pov****のショットカットを置けばそこから起動出来ます。
33333.jpg

これだとyafarayの前のyafrayもどっちも使えるのでまあいいか(笑)
sssss.jpg
※note:yafarayとは
yafarayはblenderの外部レンダリング用のプログラムのことで、前バージョン"yafray"のプログラムからのバージョンアップ版ではなくて、再度1からプログラムを書き直したので名前もyaf(a)rayと"a"が付いて別物として扱われています。本家のyafrayのサポート終了とyafarayへの移行に伴い、Blenderのレンダーパネルのyafray設定項目はバージョン2.49から外されてしまいました。
※注意) この記事は筆者が独自環境で動かした結果ですので全ての環境で試したわけではありませんし、動作を保証する物でもありません。 よって改造版の導入等にはバックアップをとるなど注意を払って、個人責任でお願いします。
■関連記事
Blender 2.49リリース!(なんだけど・・・) [Blender]
nice!(0)  コメント(5)  トラックバック(0) 
共通テーマ:趣味・カルチャー

nice! 0

コメント 5

まいる

前に、入れた時に「日本語化」がうまくいかなくてそれいらい使っていなかったりします(^_^:)。。
by まいる (2009-06-21 12:18) 

daywalker

まいるさん>
どうも。
日本語でうまくいかなかったとのことですが。
了解しました。では次に日本語化についてちょっと触れましょうか。
by daywalker (2009-06-21 20:54) 

まいる

●daywalkerさん
☆ありがとうございます。
今度の休日に試してみますm(_"_)m

by まいる (2009-06-22 01:25) 

daywalker

6月22日、本家のダウンロードサイトを確認したら"Requires Windows 2000/XP/Vista, built with Python 2.6"に修正されていたようです。
またバグもあったようで今はblender-2.49a-avifix-windows.exe
blender-2.49a-avifix-windows.zipと言う修正したファイルが上がっています。
by daywalker (2009-06-22 10:34) 

daywalker

2009,9月現在、配布されているYafaray0.1.1はPython2.6.2対応になっているのでYafaray GUIは問題なく機能します。
by daywalker (2009-09-05 07:47) 

コメントを書く

お名前:[必須]
URL:
コメント:
画像認証:
下の画像に表示されている文字を入力してください。

トラックバック 0